DRM_BRIDGE_INIT(9)

NAME
drm_bridge_init - initialize a drm transcoder/bridge

SYNOPSIS

int drm_bridge_init(struct drm_device * dev, struct drm_bridge * bridge, const struct drm_bridge_funcs * funcs);

ARGUMENTS

dev
    drm device

bridge
    transcoder/bridge to set up

funcs
    bridge function table

DESCRIPTION

Initialises a preallocated bridge. Bridges should be subclassed as part of driver connector objects.

RETURNS

Zero on success, error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT